@use "sass:map";

// Colors

// Primary color
$colorBrand: #1042DD;
$colorBrandLight: #CFD9F8;
$colorBrandTransparent: rgba($colorBrand, 0.7);
$colorBrandDark: #0a2885;
$colorBrandLink: #24335a;

// Seconday color
$colorBrandSecondary: #31b9ff;

// Tertiary color
$colorBrandTertiary: #ff7f00;

// Gradients
$brandGradient: linear-gradient(45deg, $colorBrand 0%, $colorBrandSecondary 100%);

// Sub Colors
$colorInfo: #4E3CDE;
$colorInfoLight: #D6F1FF;
$colorWarning: #FDC300;
$colorWarningLight: #FFF3CC;
$colorError: #D62828;
$colorErrorLight: #FFCCCC;
$colorSuccess: #00D02E;
$colorSuccessLight: #CCF6D5;

// Pallette gray
$colorPaletteGray50: #fafafa;
$colorPaletteGray100: #f5f5f5;
$colorPaletteGray300: #e0e0e0;
$colorPaletteGray200: #eeeeee;
$colorPaletteGray400: #bdbdbd;
$colorPaletteGray500: #9e9e9e;
$colorPaletteGray600: #757575;
$colorPaletteGray700: #616161;
$colorPaletteGray800: #424242;
$colorPaletteGray900: #212121;
$colorPaletteGray1000: #131313;

// Text Colors
$colorText: #212121 !default;
$colorTextCard: $colorPaletteGray800 !default;
$colorTextLinkHover: $colorBrand;
$colorTextLink: darken($colorBrand, 10%);
$colorTextInverse: $colorPaletteGray50;

// Generic Colours
$colorBackground: darken(#f7f9fc, 2%);

// Shadows
$boxShadow: 0 0 2px 0 rgba(0, 0, 0, 0.12), 0 2px 2px 0 rgba(0, 0, 0, 0.24);

// Dimensions
$borderRadius: 4px;
$borderRadiusMedium: 8px;
$borderRadiusLarge: 13px;
$borderRadiusXLarge: 20px;

// Font sizes
$baseFontSize: 16px;
$fontSizeXSmall: 0.75rem;
$fontSizeSmall: 0.875rem;
$fontSizeMedium: 1rem;
$fontSizeLarge: 1.25rem;
$fontSizeXLarge: 1.5rem;
$fontSizeXXLarge: 2rem;
$fontSizeXXXLarge: 2.5rem;

$fontWeightRegular: 400;
$fontWeightSemiBold: 600;
$fontWeightBold: 700;

// Line heights
$lineHeightTextSmall: 1;
$lineHeightText: 1.5;
$lineHeightHeading: 1.3;

// Spacing
$spacing01: 0.1rem !default;
$spacing02: 0.25rem !default;
$spacing03: 0.5rem !default;
$spacing04: 0.75rem !default;
$spacing05: 1rem !default;
$spacing06: 1.5rem !default;
$spacing07: 2rem !default;
$spacing08: 2.5rem !default;
$spacing09: 3rem !default;
$spacing10: 4rem !default;
$spacing11: 5rem !default;

// Theme
$absolute-sizes: (
    $spacing01,
    $spacing02,
    $spacing03,
    $spacing04,
    $spacing05,
    $spacing06,
    $spacing07,
    $spacing08,
    $spacing09,
    $spacing10,
    $spacing11,
);

// Theme
$widths: (
    container: 992px,
    container-padding: 16px,
    search-width: 500px,
    ) !default;
$heights: (
    header: 273px,
    header-top-navigation: 57px,
    footer: 235px,
    footer-mobile: 290px,
    ) !default;
$footer-height: map.get($heights, "footer") !default;
$footer-height-mobile: map.get($heights, "footer-mobile") !default;

// Container variables
$containerWidthSmall: 720px;
$containerWidth: calc(#{map.get($widths, "container")} + 2 * #{map.get($widths, "container-padding")}) !default;
$containerPadding: map.get($widths, "container-padding") !default;

// Widths
$widthLarge: 40rem;

// Heights
$mobileNavHeight: 4.5rem;

// Breakpoints
$xs: 0px; // mobile
$sm: 576px; // mobile landscape
$md: 768px; // tablets
$lg: 992px; // Wide
$xl: 1050px; // Desktop
